# Automatic Motor Controller

## Software Required
+ [Eagle](https://www.autodesk.com/products/eagle/overview)
+ Library for eagle - [adafruit](https://github.com/adafruit/Adafruit-Eagle-Library)

## Hardware Required:

### Power Circuit:
![alt text](https://github.com/suren37/automatic_water_controller/blob/master/docs/power_sch.png "Power circuit Schematic")
+ Diode, 1n4007 -4x
+ Zenor DIode, 6v2 - 1x
+ Capacitor Electrolytic, 100uF -1x
+ X-Rated Capacitor, 1x
+ Resistor, 2M2 -1x
+ Voltage Regulator, 7805 -1x
+ Terminal Block, 2pin -1x
+ Male header block, 3pin -1x
+ Prototype matrix board, small -1x

### Controller Board:
![alt text](https://github.com/suren37/automatic_water_controller/blob/master/docs/controller_schematics.png "Controller circuit Schematic")
+ Male Header(Box), 4pin -1x
+ Male Header(Box), 3pin, 2x
+ Nand Gate, 7400 -2x
+ D flipflop, 7474 -1x
+ Transistor, BC548 -1x
+ Resisotr, 1k, 1x
+ Diode, 1n4007 - 1x
+ Electrolytic capacitor, 470uF - 1x
+ Electromechanical Relay, 6V -1x
